org.apache.cassandra.transport

## Class Message.ProtocolEncoder

- java.lang.Object
- - org.jboss.netty.handler.codec.oneone.OneToOneEncoder
  - - org.apache.cassandra.transport.Message.ProtocolEncoder

- All Implemented Interfaces:
    org.jboss.netty.channel.ChannelDownstreamHandler, org.jboss.netty.channel.ChannelHandler
  Enclosing class:
    Message

      public static class Message.ProtocolEncoder
      extends org.jboss.netty.handler.codec.oneone.OneToOneEncoder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `org.jboss.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message.ProtocolEncoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `encode(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.Channel channel, java.lang.Object msg)`

    - ### Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder

      `doEncode, handleDownstream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Message.ProtocolEncoder

          public Message.ProtocolEncoder()

  - ### Method Detail

    - #### encode

          public java.lang.Object encode(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                org.jboss.netty.channel.Channel channel,
                                java.lang.Object msg)

      Specified by:
        `encode` in class `org.jboss.netty.handler.codec.oneone.OneToOneEncoder`

Copyright © 2014 The Apache Software Foundation